| GTK-EXTRA - Reference Manual

| Home

## Name

### Gtkplotdatapixmap - pixmap dataset

## Synopsis

    GtkType

    gtk_plot_pixmap_get_type

    (void);

    GtkWidget*

    gtk_plot_pixmap_new

    (GdkPixmap *pixmap,
    GdkBitmap *mask);

    void

    gtk_plot_pixmap_construct

    (GtkPlotPixmap *data,
    GdkPixmap *pixmap,
    GdkBitmap *mask);

    GdkPixmap*

    gtk_plot_pixmap_get_pixmap

    (GtkPlotPixmap *data);

    GdkPixmap*

    gtk_plot_pixmap_get_mask

    (GtkPlotPixmap *data);

## Object Hierarchy

##
Args

## Signal Prototypes

    No signals

## Description

####

##
Details

    struct GtkPlotPixmap

##
Screenshot

##

### gtk_plot_pixmap_get_type ()

    GtkType gtk_plot_pixmap_get_type (void);

Returns |

### gtk_plot_pixmap_new ()

    GtkWidget* gtk_plot_pixmap_new (GdkPixmap *pixmap,
                                    GdkBitmap *mask);

pixmap |
mask |
Returns |

### gtk_plot_flux_new ()

    GtkWidget* gtk_plot_flux_new (void);

Returns |

### gtk_plot_pixmap_construct ()

    void gtk_plot_pixmap_construct (GtkPlotPixmap *data,
                                    GdkPixmap *pixmap,
                                    GdkBitmap *mask);

data |
pixmap |
mask |

### gtk_plot_pixmap_get_pixmap ()

    GdkPixmap* gtk_plot_pixmap_get_pixmap (GtkPlotPixmap *data);

data |
Returns |

### gtk_plot_pixmap_get_mask ()

    GdkBitmap* gtk_plot_pixmap_get_mask (GtkPlotPixmap *data);

data |
Returns |

##

## DETAILS

    struct _GtkPlotPixmap

    {
      GtkPlotData data;

      GdkPixmap *pixmap;
      GdkBitmap *mask;
    };

| Home |  |